#include<fstream>
using namespace std;
ifstream fi("SUMP.inp");
ofstream fo("SUMP.out");
int n,m,a;
int ntc(int h)
{
	if (h==1) return 0;
	else
	{
		int r=1;
		for(int i=2;i*i<=h;i++)
		{
			if(h%i==0)
			{
				r=0;
				break;
			}
		}
		if(r==1) return 1;
		else return 0;
	}
}
int main()
{
	fi>>a;
	int tong=0;
	int t=1;
	while(t<=a)
	{
		fi>>n>>m;
		for(int i=n;i<=m;i++)
		{
			if(ntc(i)==1) tong+=i;
		}
		fo<<tong<<'\n';
		tong=0;
		t++;
	}
}
